<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\platform_rule;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\platform_rule\PlatformRule;
use app\common\lists\ListsSearchInterface;


/**
 * PlatformRule列表
 * Class PlatformRuleLists
 * @package app\adminapi\listsplatform_rule
 */
class PlatformRuleLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/07/11 11:41
     */
    public function setSearch(): array
    {
        return [
            '%like%' => ['rule_name'],

        ];
    }


    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/07/11 11:41
     */
    public function lists(): array
    {
        return PlatformRule::where($this->searchWhere)
            ->field(['id', 'rule_name', 'description'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['sort'=>'desc', 'id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2024/07/11 11:41
     */
    public function count(): int
    {
        return PlatformRule::where($this->searchWhere)->count();
    }

}